
#include <Spectre/System/SystemEvent.h>

SysEvent::SysEvent(Type type) : 
type	(type)
{
}

SysEvent SysEvent::sizeEvent(Display *display, int width, int height)
{
	SysEvent event(Size);
	event.size.display = display;
	event.size.width = width;
	event.size.height = height;
	return event;
}
